Page MenuHomePhabricator

Pre-render certain thumbnail sizes on upload
Closed, ResolvedPublic

Description

This is planned for better support of MediaViewer, but there doesn't seem to be any ticket about it yet.

Thumbnail generation is slow; for MediaViewer, thumbnails which have not been rendered yet take almost twice as long to load for the average user (an extra 700ms). If the original file is very large, thumbnail generation can take ridiculously long (although bug 67525 will address that). To provide good user experience, we need pre-generated thumbnails in some standard sizes, which frontend applications can rely on.

A related, but outdated, RfC:
https://www.mediawiki.org/wiki/Requests_for_comment/Standardized_thumbnails_sizes


Version: 1.24rc
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=67525

Details

Reference
bz67698

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:28 AM
bzimport set Reference to bz67698.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.Jul 8 2014, 10:51 PM

Change 157157 had a related patch set uploaded by Gergő Tisza:
Add ability to pre-render thumbnails at upload time

https://gerrit.wikimedia.org/r/157157

Tgr added a comment.Dec 4 2014, 11:29 PM

Once this becomes final, the documentation at https://wikitech.wikimedia.org/wiki/Media_storage#Thumbnail_handling (and probably somewhere on mw.org, maybe https://www.mediawiki.org/wiki/Manual:Image_administration ?) should be updated.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:35 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:35 PM
Gilles closed this task as Resolved.Sep 7 2015, 5:52 AM
Gilles claimed this task.
Gilles added a subscriber: Gilles.

This has been live for some time